<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lpa__wifi__arp__ol_8h" kind="file" language="C++">
    <compoundname>cy_lpa_wifi_arp_ol.h</compoundname>
    <includes local="yes" refid="cy__lpa__wifi__ol__common_8h">cy_lpa_wifi_ol_common.h</includes>
    <includes local="yes">whd.h</includes>
    <includes local="yes">whd_wlioctl.h</includes>
    <includedby local="yes" refid="cy__lpa__wifi__arp__ol_8c">cy_lpa_wifi_arp_ol.c</includedby>
    <includedby local="yes" refid="cy__whd__stubs_8c">cy_whd_stubs.c</includedby>
    <incdepgraph>
      <node id="14">
        <label>whd_wlioctl.h</label>
      </node>
      <node id="12">
        <label>cy_lpa_wifi_arp_ol.h</label>
        <link refid="cy__lpa__wifi__arp__ol_8h" />
        <childnode refid="13" relation="include">
        </childnode>
        <childnode refid="14" relation="include">
        </childnode>
      </node>
      <node id="13">
        <label>whd.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structarp__ol__cfg__t">arp_ol_cfg_t</innerclass>
    <innerclass prot="public" refid="structarp__ol__t">arp_ol_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__lpa__wifi__arp__ol_8h_1a65138f08d88c3550505451e00ced5311" kind="define" prot="public" static="no">
        <name>ARP_OL_H__</name>
        <initializer>(1)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="18" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="18" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gaf672369d7b608356f0b773eeeff31c5c" kind="define" prot="public" static="no">
        <name>ARP_ID</name>
        <initializer>(0xaaccooddUL)</initializer>
        <briefdescription>
<para>Unique ID for ARP packet. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="87" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="87" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gaadc3f49c22cb0287965f31bd4e10da9f" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_HOSTIP_MAX_ENTRIES</name>
        <initializer>ARP_MULTIHOMING_MAX</initializer>
        <briefdescription>
<para>Maximum Number of Host IP addresses in WLAN Device (8) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="89" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gaee6b33e6db34432f276284bd02e7ac1c" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_DEFAULT_PEERAGE_VALUE</name>
        <initializer>(1200UL)</initializer>
        <briefdescription>
<para>Default lifetime of an ARP table entry in seconds (agent only). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="91" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga5bc600bcba9b88cc6cb3d77051bd79e3" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_AGENT_ENABLE</name>
        <initializer>ARP_OL_AGENT</initializer>
        <briefdescription>
<para>Flag to enable the ARP Offload (0x00000001) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="93" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="93" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga4b450a4ea53c6bd3154de23b26cb29a7" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_SNOOP_ENABLE</name>
        <initializer>ARP_OL_SNOOP</initializer>
        <briefdescription>
<para>Flag to enable Snooping Host IP address (0x00000002) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="94" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga3beb317560342f8c4c64b5430a1cfe3d" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_HOST_AUTO_REPLY_ENABLE</name>
        <initializer>ARP_OL_HOST_AUTO_REPLY</initializer>
        <briefdescription>
<para>Flag to enable Host Auto Reply (0x00000004) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="95" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga8f36e798f15c4c478294b837556818da" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_PEER_AUTO_REPLY_ENABLE</name>
        <initializer>ARP_OL_PEER_AUTO_REPLY</initializer>
        <briefdescription>
<para>Flag to enable Peer Auto Reply (0x00000008) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="96" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga6f7e6049ae8609ce02f6792763de56aa" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_ALL_FEATURE_ENABLE</name>
        <initializer>(<ref kindref="member" refid="group__group__lpa__macros__arp_1ga5bc600bcba9b88cc6cb3d77051bd79e3">CY_ARP_OL_AGENT_ENABLE</ref> | <ref kindref="member" refid="group__group__lpa__macros__arp_1ga4b450a4ea53c6bd3154de23b26cb29a7">CY_ARP_OL_SNOOP_ENABLE</ref> | \
                                             <ref kindref="member" refid="group__group__lpa__macros__arp_1ga3beb317560342f8c4c64b5430a1cfe3d">CY_ARP_OL_HOST_AUTO_REPLY_ENABLE</ref> | <ref kindref="member" refid="group__group__lpa__macros__arp_1ga8f36e798f15c4c478294b837556818da">CY_ARP_OL_PEER_AUTO_REPLY_ENABLE</ref>)</initializer>
        <briefdescription>
<para>All ARP OL Flags (0x0000000F) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="97" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__lpa__enums_1gacaa1d0b548141e9016a65d6e49f1cc46" kind="enum" prot="public" static="no">
        <name>arp_ol_config_state_t</name>
        <enumvalue id="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36ec3274393ee46bee7efe3f19b97d50" prot="public">
          <name>ARP_OL_STATE_UNINITIALIZED</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>ARP OL is Uninitialized. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46ac8714ff185b1782df0c4742c5fb519f8" prot="public">
          <name>ARP_OL_STATE_AWAKE</name>
          <briefdescription>
<para>ARP OL is set for AWAKE state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36492e74f2221d98a341c8f90eb475a3" prot="public">
          <name>ARP_OL_STATE_GOING_TO_SLEEP</name>
          <briefdescription>
<para>ARP OL is set for ASLEEP state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>arp_ol_config_state_t: </bold><linebreak />States for configuration to use.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="115" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__lpa__macros__arp_1gada8697659aab30a6184c3a470422a97e" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t arp_ol_enable_mask_t</definition>
        <argsstring />
        <name>arp_ol_enable_mask_t</name>
        <briefdescription>
<para>ARP OL Feature is enabled when bit is set (see CY_ARP_OL_XXXX_ENABLE flags) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="101" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="101" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cy__lpa__wifi__arp__ol_8h_1a02d22ec8ec7780f43ecdf50eba0c1571" kind="variable" mutable="no" prot="public" static="no">
        <type>const ol_fns_t</type>
        <definition>const ol_fns_t arp_ol_fns</definition>
        <argsstring />
        <name>arp_ol_fns</name>
        <briefdescription>
<para>ARP Offload function table. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="154" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Low Power Offload ARP Assist. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />ARP_OL_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_OL_H__<sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_ol_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="comment">/*<sp />We<sp />have<sp />a<sp />non-hardware<sp />build<sp />that<sp />we<sp />need<sp />to<sp />handle<sp />-<sp />"OLM_NO_HARDWARE"<sp />defined<sp />in<sp />app/olm-sanity/Makefile<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(OLM_NO_HARDWARE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="comment">/*<sp />Defines<sp />so<sp />main.c<sp />can<sp />build<sp />for<sp />building<sp />without<sp />hardware<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />ARP_MULTIHOMING_MAX</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_MULTIHOMING_MAX<sp /><sp /><sp /><sp /><sp />(8)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />ARP_OL_AGENT</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_OL_AGENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00000001)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />ARP_OL_SNOOP</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_OL_SNOOP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00000002)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />ARP_OL_HOST_AUTO_REPLY</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_OL_HOST_AUTO_REPLY<sp /><sp />(0x00000004)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />ARP_OL_PEER_AUTO_REPLY</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_OL_PEER_AUTO_REPLY<sp /><sp />(0x00000008)</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="keyword">struct<sp /></highlight><highlight class="normal">arp_ol_stats_t</highlight></codeline>
<codeline lineno="45"><highlight class="normal">{</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />host_ip_entries;</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />host_ip_overflow;</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />arp_table_entries;</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />arp_table_overflow;</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />host_request;</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />host_reply;</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />host_service;</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />peer_request;</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />peer_request_drop;</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />peer_reply;</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />peer_reply_drop;</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />peer_service;</highlight></codeline>
<codeline lineno="58"><highlight class="normal">};</highlight></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="comment">/*<sp />We<sp />have<sp />hardware<sp />here<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"whd.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"whd_wlioctl.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(OLM_NO_HARDWARE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="74"><highlight class="comment">*<sp />Public<sp />definitions</highlight></codeline>
<codeline lineno="75"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="79"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="comment">/*<sp />For<sp />internal<sp />testing<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(MBED_CONF_APP_OLM_TEST)</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="comment">/*<sp />0<sp />means<sp />do<sp />not<sp />use<sp />callback<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />uint32_t<sp />arp_ol_test_enable_net_callback;</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_ID<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0xaaccooddUL)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />CY_ARP_OL_HOSTIP_MAX_ENTRIES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ARP_MULTIHOMING_MAX<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />CY_ARP_OL_DEFAULT_PEERAGE_VALUE<sp /><sp /><sp /><sp /><sp />(1200UL)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor">#define<sp />CY_ARP_OL_AGENT_ENABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ARP_OL_AGENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />CY_ARP_OL_SNOOP_ENABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ARP_OL_SNOOP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />CY_ARP_OL_HOST_AUTO_REPLY_ENABLE<sp /><sp /><sp /><sp />ARP_OL_HOST_AUTO_REPLY<sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor">#define<sp />CY_ARP_OL_PEER_AUTO_REPLY_ENABLE<sp /><sp /><sp /><sp />ARP_OL_PEER_AUTO_REPLY<sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />CY_ARP_OL_ALL_FEATURE_ENABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_ARP_OL_AGENT_ENABLE<sp />|<sp />CY_ARP_OL_SNOOP_ENABLE<sp />|<sp />\</highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ARP_OL_HOST_AUTO_REPLY_ENABLE<sp />|<sp />CY_ARP_OL_PEER_AUTO_REPLY_ENABLE)<sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor">typedef<sp />uint32_t<sp />arp_ol_enable_mask_t;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="105"><highlight class="preprocessor" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="106"><highlight class="comment">*<sp />LPA<sp />Enumerated<sp />Types</highlight></codeline>
<codeline lineno="107"><highlight class="comment">*******************************************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="111"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal">{</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36ec3274393ee46bee7efe3f19b97d50">ARP_OL_STATE_UNINITIALIZED</ref><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46ac8714ff185b1782df0c4742c5fb519f8">ARP_OL_STATE_AWAKE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36492e74f2221d98a341c8f90eb475a3">ARP_OL_STATE_GOING_TO_SLEEP</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="119"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lpa__enums_1gacaa1d0b548141e9016a65d6e49f1cc46">arp_ol_config_state_t</ref>;</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="125"><highlight class="comment">*<sp />LPA<sp />Data<sp />Structures</highlight></codeline>
<codeline lineno="126"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="130"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /></codeline>
<codeline lineno="135" refid="structarp__ol__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">arp_ol_cfg_s</highlight></codeline>
<codeline lineno="136"><highlight class="normal">{</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__macros__arp_1gada8697659aab30a6184c3a470422a97e">arp_ol_enable_mask_t</ref><sp />awake_enable_mask;<sp /></highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__macros__arp_1gada8697659aab30a6184c3a470422a97e">arp_ol_enable_mask_t</ref><sp />sleep_enable_mask;<sp /></highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />peerage;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="140"><highlight class="normal">}<sp /><ref kindref="compound" refid="structarp__ol__cfg__t">arp_ol_cfg_t</ref>;</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="143" refid="structarp__ol__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">arp_ol_s</highlight></codeline>
<codeline lineno="144"><highlight class="normal">{</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />name[4];<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structarp__ol__cfg__t">arp_ol_cfg_t</ref><sp /><sp /><sp /><sp /><sp /><sp />*config;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structol__info__t">ol_info_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*ol_info_ptr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ip_address;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp />arp_ol_config_state_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal">}<sp /><ref kindref="compound" refid="structarp__ol__t">arp_ol_t</ref>;</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />ol_fns_t<sp />arp_ol_fns;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="158"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal">}</highlight></codeline>
<codeline lineno="160"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />!ARP_OL_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" />
  </compounddef>
</doxygen>